︠0314feff-c41c-4c42-a0e4-5ab7252f3709︠
#Midterm

#Before any command include a comment about the command output.

#Each problem is worth 10 points.
︡0cb668a1-de5e-4d60-9bde-b033ede92550︡
︠54375bda-0372-40fd-a163-0c96136517ec︠
#################################################################
︡4d1a9375-3ffc-4384-99a9-06063ab3a25c︡
︠4c62fd7c-2440-44e3-86e3-c3c78e38c918︠
################### Problem 1
#Find a PPT with one of the legs equal 175.
#Solution:

#1: s=1,t=175:(175,15312,15313)
#2: s=3,t=35 :(175,600,625)
#3: s=7,t=25 :(175,288,337)
#it all works so it has 3 PPT

︡b3f3bb12-2bd7-471d-8d35-c5d3870c790e︡
︠916f4dd1-8965-470e-a55a-c2b3344c04b3︠
# 10/10, #2 is not PPT
################### Problem 2
#Find nonnegative solutions to the LDE 3x+7y=45.
#Hint: Find a particular solution to the LDE 3x+7y=1 using appropriate SageMath command; modify the result to get a particular solution to the given LDE; find the general solution to the given LDE; select nonneqative solutions if any.
#Solution:
xgcd(3,7)
︡983714f1-7300-4e4a-923e-53fac3de6398︡{"stdout":"(1, -2, 1)"}︡{"stdout":"\n"}︡{"done":true}
︠f1ef0de8-bb0d-43c5-ba5e-f7deba8e6170︠
#general solution: x=-90+7n ; y=45-3n
#check:3(-90+7n)+7(45-3n)=-270+21n+315-21n=45
︡5c12ef11-5779-4597-ba15-e0adab7b88d8︡
︠b8611506-57cc-481b-8483-6e3b6328e9b5︠
# 8/10
︡b32ed4b0-4067-4ed6-a04e-a620006c61cf︡
︠cf7fc125-20a8-4b3a-951b-d23329377f6b︠
################### Problem 3
#Consider three points A(1,2), B(-5/2,3), and C(4/3,40/21).
#(a)Find the equation of the line passing through the points A and B.
#(b) Determine if the line passes through point C
#(c) Plot the three points and the line AB in one figure.
#Solution

#(a):m=(3-2)/((-5/2)-1)=-2/7
# y=(-2/7)*x+b  use point A(1,2)
# 2=-2/7+b
# b=16/7
# y=-2/7x+16/7

︡52eadfb8-c5d3-4c0e-8627-4d6fa31e61dd︡
︠b002e67c-58be-4b85-979a-2e018c9f9afb︠
#(b):-2/7*(4/3)+16/7= -8/21+16/7 = -8/21+48/21 = 40/21
# The line passes through point c

︡2a9dbada-02a1-4edb-bd72-59e014ce4129︡
︠79d27164-7fef-47b9-945d-0452b6e1ec85︠
#(c):
# I added corrections
#f(x)=-2/7x+16/7 # Missed multiplication sign and parewntheses for 2/7
f(x)=-(2/7)*x+16/7
p=plot(f(x),-3,2,legend_label='line',color='black',thickness=2)
#pt_plot=point(pt,size=30,color='green',figsize=[4,3])# THis is your line; pt is not defined.
pt_plot=point([(1,2),(-5/2,3),(4/3,40/21)],size=40,color='green',figsize=[4,3])
(p+pt_plot).show()
︡a5e0738d-5d2e-4353-8e55-583512c6daf4︡{"file":{"filename":"/home/user/.sage/temp/project-c2e46271-e550-4aa2-9e76-891fcc7c29eb/6996/tmp_XAikUL.svg","show":true,"text":null,"uuid":"d27914a2-bba1-4416-ae88-8046932d7cdb"},"once":false}︡{"done":true}
︠bfaf6195-2280-48b8-a3b2-cafe54f25bce︠
# 8/10 +5 extra (for the legend)
︡ec68ab7e-6040-4dc8-b64d-1d371700c9bf︡
︠7616ec7b-50a9-4528-be7f-effc15ffdd7a︠
#pt_plot=point(pt,size=30,color='green',figsize=[4,3])
pt_plot=[[]]
################### Problem 4
#Use completing the square technique and translation transformation to obtain the equation of the conic 2*x^2+y^2-3*x+6*y+1=0 in the standard form. Identify the name of the conic. Make a plot of the original equation in xy-plane and identify the image of the origin under the translation transformation.
# completing the square:
# 2*x^2-3x+y^2+6y+1=0
# 2(x-3/4)^2+(y+3)^2+9/8+9+1=0
# 2(x-3/4)^2+(y+3)^2+89/8=0
# 2(x-3/4)^2+(y+3)^2=-89/8
# -(16(x-3/4)^2)/(sqr(89)^2)-(8(y+3)^2)/(sqr(89)^2)=1
# It is a ellipse conic


︡92732416-8b69-4fe8-bc8e-fd56b3bf372f︡
︠a2b892c5-cf1a-42fe-8b32-0e3b4bbb1dfd︠
# Incorrect free term. No figure, 4/10
︡e1db4a3e-25eb-4fd1-864a-055b18c9d98f︡
︠6ef7126a-c358-4ec0-8e35-d65632751539︠
#Plotting:


︡5c18f5c3-9a35-4378-b9fe-65d0285c508e︡
︠746f5151-9b74-4553-a2a9-8d02d388e12es︠
################### Problem 5
#Make a list of all 4th roots of unity. Make a plot of the roots on the unit circle. Write the polynomial equation that has the same roots.
#Making a list:
#a0+a1*x+a2x^2+a3*x^3+a4*x^4
def roots_of_unity(n):
    L=[N(cos(2*pi*k/n)+(i*sin(2*pi*k/n))) for k in range(n)]
    return L

L=roots_of_unity(4);L

S=[(L[j].real(),L[j].imag()) for j in range(4)];S

point(S,aspect_ratio=1,size=30)
︡acd8c041-41c3-41a9-91ef-e21b22a575e5︡{"stdout":"[1.00000000000000, 1.00000000000000*I, -1.00000000000000, -1.00000000000000*I]\n"}︡{"stdout":"[(1.00000000000000, 0), (0.000000000000000, 1.00000000000000), (-1.00000000000000, 0), (0.000000000000000, -1.00000000000000)]\n"}︡{"file":{"filename":"/home/user/.sage/temp/project-c2e46271-e550-4aa2-9e76-891fcc7c29eb/6996/tmp_dRa8iE.svg","show":true,"text":null,"uuid":"8f34d94e-1dd9-4d45-9526-8143fd122e6c"},"once":false}︡{"done":true}
︠a4783954-49b7-42f4-82c2-40aa2e2ea703︠
#Plotting:
︡3c12b7b3-9b00-4a45-ae95-a3eba6ebeec7︡
︠58e94b8e-253b-4c7a-8a78-8e3b00a9c419︠
L=roots_of_unity(4);L

S=[(L[j].real(),L[j].imag()) for j in range(4)];S

point(S,aspect_ratio=1,size=30)
︡35f2ac14-2fe6-49f2-bc6a-da9615fca23f︡
︠df3b5fc1-98c4-4e94-a1e8-c3291e62b26e︠
# No cicle, no polynomial equation, 8/10
︡9d67eb31-f9d5-4e06-bf9e-25d92273f896︡
︠aa45e740-9a17-47b9-8c81-38932642ca91︠
################### Problem 6
#Consider the function f(x)=(x+10)/(x+3)+sin(5/(x-3)). Use the plot of the function, SageMath assistance, and relevant calculus facts to find
#(a) the x- and y-intercepts
#(b) The locations and the values of the largest local maximum and the smallest local minimum of f.
#(c) The equation of the tangent line passing through the point where the largest local maximim is attained.
#(d) Plot the function and the tangent that you found in part (c) in one figure. Use different colors. (You can earn 5 extra points for adding the legend to the figure.)
︡ae06abe5-b811-457a-9081-0c68f4e3b447︡
︠9fae21cb-2c4e-4fc0-930a-61fd22b93826︠
# (a)

︡c6a246fe-5a47-4e98-9fb9-0b3d95a0a707︡
︠f1ddead9-8412-427d-a171-82c82ab79c87︠
#(b)

︡513ddc4c-ebda-4188-99b0-472e83cdd8d3︡
︠bfe81c1c-eece-43b5-a96e-7e2c7265044a︠
#(c) and (d)
︠aa860193-7937-4448-96dc-4e83f9053485︠
# Total: 43/50
︠456ddb53-323a-4b19-b214-6415e35ed88f︠









